<!-- ZwInput  -->
<template>
  <div>
    <el-input 
    :disabled="disabled" 
    :readonly="readonly" 
    ref="zInput" 
    :type="type"
    :clearable="clearable" 
    :placeholder="placeholder" 
    auto-complete="off"
    v-model="Value"
     @mousewheel.native.prevent>
    </el-input>
  </div>
</template>

<script>
export default {
  name: 'ZwInput',
  props: {
    value: {
      type: String | Number,
      required: true
    },
    disabled:Boolean,
    readonly:Boolean,
    placeholder: String,
    type: {
      type: String,
      default: 'text'
    },
    clearable: {
      type: Boolean,
      default: true
    },
  },

  computed: {
    Value: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }

    }
  },

  data() {
    return {
    }
  },
  methods: {
    //初始化方法
    init() { }
  },
}

</script>
<style lang='scss' scoped>
</style>